curl -X DELETE https://app.runtm.com/api/knowledge/integrations/ki_01J... \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
integration_id = "ki_01J..."
resp = requests.delete(
f"https://app.runtm.com/api/knowledge/integrations/{integration_id}",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
)
assert resp.status_code == 204
const integrationId = "ki_01J...";
const resp = await fetch(
`https://app.runtm.com/api/knowledge/integrations/${integrationId}`,
{
method: "DELETE",
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
}
);
// resp.status === 204
Knowledge
Delete Knowledge Integration
Permanently delete a knowledge integration and its stored credentials.
DELETE
/
api
/
knowledge
/
integrations
/
{integration_id}
curl -X DELETE https://app.runtm.com/api/knowledge/integrations/ki_01J... \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
integration_id = "ki_01J..."
resp = requests.delete(
f"https://app.runtm.com/api/knowledge/integrations/{integration_id}",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
)
assert resp.status_code == 204
const integrationId = "ki_01J...";
const resp = await fetch(
`https://app.runtm.com/api/knowledge/integrations/${integrationId}`,
{
method: "DELETE",
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
}
);
// resp.status === 204
Deletes a knowledge integration and all associated credentials. This action is irreversible.
Required scope:
Returns
integrations:write
Requires organization context via the
X-Organization-Id header.string
required
The integration to delete.
string
required
The organization the integration belongs to.
204 No Content on success with an empty body.
curl -X DELETE https://app.runtm.com/api/knowledge/integrations/ki_01J... \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
integration_id = "ki_01J..."
resp = requests.delete(
f"https://app.runtm.com/api/knowledge/integrations/{integration_id}",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
)
assert resp.status_code == 204
const integrationId = "ki_01J...";
const resp = await fetch(
`https://app.runtm.com/api/knowledge/integrations/${integrationId}`,
{
method: "DELETE",
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
}
);
// resp.status === 204